
<div class="modal-header">
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'S'})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="row">
    <div class="datos-cliente">
      <div class="form-row">
        <div class="col-12 text-center"><img class="datos-cliente--imagen" [Gravatar]="tClienteActual.Email" alt="Usario"/></div>
      </div>
      <div class="form-row pt-2">
        <div class="col-12 text-center">
          <h6>[{{ tClienteActual.Codcliente }}] - {{ tClienteActual.Descripcion }}</h6>
        </div>
      </div>
      <div class="datos-cliente--division"><span></span></div>
      <div class="form-row pt-2">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-address-card text-secondary mr-2"></i>[ {{ tClienteActual.Tipodocumento }} ] - {{ tClienteActual.Documento }}</h6>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-calendar-alt text-secondary mr-2"></i>{{ tClienteActual.Fecha_nacimiento | date: 'dd/MM/yyyy' }}</h6>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-phone-alt text-secondary mr-2"></i>{{ tClienteActual.Telefono }}</h6>
        </div>
      </div>
      <div class="form-row pt-1">
        <div class="col-12">
          <h6 class="datos-cliente--informacion"><i class="fas fa-envelope text-secondary mr-2"></i>{{ tClienteActual.Email }}</h6>
        </div>
      </div>
    </div>
    <div class="datos-ticket">
      <div class="row">
        <div class="col-12 d-flex justify-content-between">
          <h5 class="card-title">[ {{tTicket.Codticket}} ] - {{tTicket.Titulo}}</h5>
          <h6 class="text-black-50 font-italic text-xs">{{ tTicket.Fecha_creacion | diferenciaFechas }}</h6>
        </div>
      </div>
      <div class="row">
        <div class="col-12 d-flex justify-content-around">
          <h6 class="text-xs badge badge-pill" [ColorFondo]="tTicket.Tipo_Hexadecimal" [ColorLetras]="tTicket.Tipo_Hexadecimal"><span>{{ tTicket.Tipo }}</span></h6>
          <h6 class="text-xs badge badge-pill" [ColorFondo]="tTicket.Estatus_Hexadecimal" [ColorLetras]="tTicket.Estatus_Hexadecimal"><span>{{ tTicket.Estatus }}</span></h6>
        </div>
      </div>
      <div class="datos-ticket--division"><span></span></div>
      <div class="row">
        <div class="col-12">
          <div class="datos-ticket--mensajes">
            <app-fw-burbuja-mensaje *ngFor="let tMensaje of LMensajes; let jv = index" [Mensaje]="tMensaje" [Cliente]="tClienteActual" [Usuario]="tUsuarioActual" [Usuarios]="tTicket.LUsuarios" [Empresa]="tEmpresaActual"></app-fw-burbuja-mensaje>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <div class="ControlInput">
            <div class="ControlInput--ContenedorIcono"></div>
            <textarea class="form-control" [(ngModel)]="tNuevoMensaje.Texto" (keyup.enter)="Crear_Mensaje()"></textarea>
            <div class="ControlInput--ContenedorBoton">
              <button class="btn btn-link" type="button" (click)="Crear_Mensaje()"><span class="fas fa-paper-plane"></span></button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>